using System;

internal sealed class Delegate859 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate859 delegate859_1)
	{
		return delegate859_1(object_0);
	}

	public extern Delegate859(object object_0, IntPtr intptr_0);

	static Delegate859()
	{
		Class10.smethod_13(typeof(Delegate859).TypeHandle);
	}

	internal static Delegate859 delegate859_0;
}
